#ifndef __SPHERE_H__
#define __SPHERE_H__


#include "Particle.h"

class Sphere : public Particle
{
	public :

    virtual void draw();
    virtual void update();
    Sphere(
            ngl::Vector _pos,
            ngl::Vector _dir,
            ngl::Colour _c,
            GLfloat _angle,
						const std::string &_shaderName,
						ngl::TransformStack *_transform

          );
		virtual ~Sphere();
  private :
    GLfloat m_emitAngle;
		GLfloat m_radius;
 };

#endif
