#ifndef __TEAPOT_H__
#define __TEAPOT_H__


#include "Particle.h"

class Teapot : public Particle
{
	public :

    virtual void draw();
    virtual void update();
    Teapot(
           ngl::Vector _pos,
           ngl::Vector _dir,
           ngl::Colour _c,
					const std::string &_shaderName,
					ngl::TransformStack *_transform

          );
		virtual ~Teapot();

  private :
		float m_rotX;
		float m_rotUpdateX;
		float m_rotY;
		float m_rotUpdateY;
		float m_rotZ;
		float m_rotUpdateZ;

};




#endif

