#include "Particle.h"


Particle::	Particle(
                      ngl::Vector _pos,
                      ngl::Vector _dir,
                      ngl::Colour _c,
											const std::string &_shaderName,
											ngl::TransformStack *_transform
                     )
{
	// set the particles position on direction
	m_pos=_pos;
	m_dir=_dir;
	m_colour=_c;
	m_maxLife=10.0;
	m_life=0.0;
	m_transform=_transform;
	m_shaderName=_shaderName;
}

Particle::~Particle()
{
  std::cout<<"particle  dtor\n";
}

